#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2021-07-22
#
#
#

from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
    perfometer_info
)

metric_info['stp_change_count'] = {
    'title': _('STP topology changes'),
    'unit': 'count',
    'color': '11/a',
}

metric_info['stp_last_topo'] = {
    'title': _('STP topology change'),
    'unit': 's',
    'color': '26/b',
}


graph_info['stp_last_topo'] = {
    'title': _('STP topology change'),
    'metrics': [
        ('stp_last_topo', 'area'),
    ],
    'scalars': [
        ('stp_last_topo:crit', _('Lower critical level')),
        ('stp_last_topo:warn', _('Lower warning level')),
    ],
}

graph_info['stp_change_count'] = {
    'title': _('STP Toplogy changes'),
    'metrics': [
        ('stp_change_count', 'area'),
    ],
    'scalars': [
        ('stp_change_count:crit', _('Upper critical level')),
        ('stp_change_count:warn', _('Upper warning level')),
    ],
    'range': (0, 'stp_change_count:max'),
}

perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'stp_last_topo',
    'half_value': 31536000.0,  # one year
    'exponent': 10.0,
})
